---
#
# Checking that required variables are set
#
- name: "vars | check"
  assert:
    that:
      - owner is defined
      - aws_region is defined
      - account_name is defined
      - environment_type is defined
      - environment_abbr is defined
      - tag_prefix is defined
      - lambda_log_expiration is defined
      - aws_lambda_params is defined
  tags:
    - aws
    - lambda
    - aws:lambda
    - lambda:check
    - aws:lambda:check
